PROC IsLookup()
     PRIVATE CurrentTable, LookupTable

     IF SEARCH(SYSMODE(),"CoEditDataEntry") < 1 THEN
       MESSAGE "Must be in Edit, CoEdit, or DataEntry mode."
       SLEEP 1000
       RETURN FALSE
     ENDIF

     CurrentTable = TABLE() KEYPRESS "F1"
     LookupTable = TABLE() KEYPRESS "Esc"

     RETURN (CurrentTable <> LookupTable)
END PROC

WHILE TRUE
     IF IsLookup() THEN
          Prompt2 = "Press [F1] for Help; [F2] when done."
     ELSE
          Prompt2 = "Press [F2] when done."
     ENDIF

     WAIT FIELD
          PROMPT "Enter the data", Prompt2
     UNTIL "F2", "Enter", "Left", "Right", etc...
     .
     .
     .
ENDWHILE

