Code to browse the name and cargo instance variables of the current get
list:

    i := 1
    to := tbrowsenew(1, 1, 23, 79)
    // First column - name instance variables
    to:addColumn(tbColumnNew("Get Names", ;
                             {|| getList[i]:name }))

    // Second column - Cargo instance variables
    to:addColumn(tbColumnNew("Get Cargos", ;
                             {|| getList[i]:cargo }))

    to:goTopBlock    := {|| i := 1 }
    to:goBottomBlock := {|| i := len(getList) }
    to:skipBlock     := {|n, si|  ;
                   si := i, ;
                   i := iif(n > 0, ;
                            min(len(getList), i + n), ;
                            max(1, i + n)), ;
                    i - si }
    tbrowse(to)

