Final version of tbrowse function:


    FUNCTION tbrowse(toThis, bBefore, ;
                     bWhileCond, bAfter)

    LOCAL nKey, lExitRequested := .F.

        DEFAULT bBefore TO {|nKey| ;
                             iif(nKey = K_ENTER .OR. ;
                                 nKey = K_ESC, ;
                                 lExitRequested := .T., ;
                                 .F.) ;
                           }

        DEFAULT bWhileCond TO {|| !lExitRequested}

        DEFAULT bAfter TO {|| .F.}

        DO WHILE eval(bWhileCond, toThis)
            DO WHILE nextkey() = 0 .AND. ;
                     !toThis:stabilize()
            ENDDO

            nKey = inkey(0)
            IF eval(bBefore, nKey, toThis)
                // Processed key as before key
            ELSEIF stdmeth(nKey, toThis)
                // Processed key as standard key
            ELSEIF toThis:stable .AND. ;
                   eval(bAfter, nKey, toThis)
                // Processed key as after key
            ENDIF
        ENDDO

    RETURN NIL

