Code for browsing the return result of DBSTRUCT() in four columns:

    #include "dbstruct.ch"

    USE names
    ar = dbstruct()
    i := 1
    to := tbrowsenew(1, 1, 23, 79)
    // First column - field names
    to:addColumn(tbColumnNew("Field Name", ;
                             {|| ar[i, DBS_NAME] }))

    // Second column - field types
    to:addColumn(tbColumnNew("Type", ;
                             {|| ar[i, DBS_TYPE] }))

    // Third column - field lengths
    to:addColumn(tbColumnNew(" Field Len", ;
                             {|| ar[i, DBS_LEN] }))

    // Fourth column - field decimal places
    to:addColumn(tbColumnNew(" Field Dec", ;
                             {|| ar[i, DBS_DEC] }))

    to:goTopBlock    := {|| i := 1 }
    to:goBottomBlock := {|| i := len(ar) }
    to:skipBlock     := {|n, si|  ;
                   si := i, ;
                   i := iif(n > 0, ;
                            min(len(ar), i + n), ;
                            max(1, i + n)), ;
                    i - si }
    tbrowse(to)

